# Uses of Interface
org.eclipse.birt.report.engine.content.IContent

Packages that use IContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.
org.eclipse.birt.report.engine.layout.content
org.eclipse.birt.report.engine.layout.pdf.emitter

## Uses of IContent in org.eclipse.birt.report.engine.content

Subinterfaces of IContent in org.eclipse.birt.report.engine.content
Modifier and Type
Interface
Description
`interface`
`IAutoTextContent`
Provides the interfaces for the AutoText Content.
`interface`
`IBandContent`
Provides the interface for the Band Content.
`interface`
`ICellContent`
Provides the interfaces for Cell Content
`interface`
`IContainerContent`
Provides the interface for container content in report.
`interface`
`IDataContent`
Provides the interface for the Data Content.
`interface`
`IForeignContent`
The content of foreign object is not handle by report engine.
`interface`
`IGroupContent`
Provides interfaces for Group Content.
`interface`
`IImageContent`
Image content in the report.
`interface`
`ILabelContent`
Provides the interface for the Label Content.
`interface`
`IListBandContent`
Provides the interface for the Band Content in List.
`interface`
`IListContent`
Provides interfaces for List Content.
`interface`
`IListGroupContent`
Provide the interfaces for the List Group Content.
`interface`
`IPageContent`
Page instance.
`interface`
`IRowContent`
Provides the interfaces for the Row AbstractContent
`interface`
`ITableBandContent`
Provides the interfaces for the Table Band Content
`interface`
`ITableContent`
Provides the interfaces for the Table Content
`interface`
`ITableGroupContent`
Provide the interfaces for the Table Group Content.
`interface`
`ITextContent`
Provides the interfaces for the Text Content Text content contains several paragraphs which shares the same style properties.
Methods in org.eclipse.birt.report.engine.content that return IContent
Modifier and Type
Method
Description
`IContent`
IContent.`cloneContent(boolean isDeep)`
Clone the content
`IContent`
IReportContent.`getContent(InstanceID id)`
return the content in this report.
`IContent`
IPageContent.`getPageBody()`
Get the page body
`IContent`
IPageContent.`getPageFooter()`
Get the page footer
`IContent`
IPageContent.`getPageHeader()`
Get the page header
`IContent`
IReportContent.`getRoot()`
Get the root content
Methods in org.eclipse.birt.report.engine.content that return types with arguments of type IContent
Modifier and Type
Method
Description
`Collection<IContent>`
IElement.`getChildren()`
Get the children of the element, or return `null` if the element is in leaf level.
`Collection<IContent>`
IPageContent.`getFooter()`
Get the footer
`Collection<IContent>`
IPageContent.`getHeader()`
Get the header
Methods in org.eclipse.birt.report.engine.content with parameters of type IContent
Modifier and Type
Method
Description
`IDataContent`
IReportContent.`createDataContent(IContent content)`
create the data content, copy the properties from the template content.
`IImageContent`
IReportContent.`createImageContent(IContent content)`
create the image content, copy the properties from the template content.
`ILabelContent`
IReportContent.`createLabelContent(IContent content)`
create the label content, copy the properties from the template content.
`ITextContent`
IReportContent.`createTextContent(IContent content)`
create the text content, copy the properties from the template content.
`void`
IPageContent.`setPageBody(IContent body)`
Set the pagebody
`void`
IPageContent.`setPageFooter(IContent footer)`
Set the page footer
`void`
IPageContent.`setPageHeader(IContent header)`
Set the page header
`Object`
IContentVisitor.`visit(IContent content, Object value)`
`Object`
IContentVisitor.`visitContent(IContent content, Object value)`

## Uses of IContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endContent(IContent content)`
End content
`void`
IContentEmitter.`startContent(IContent content)`
Start content

## Uses of IContent in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IContent
Modifier and Type
Method
Description
`IContent`
IReportItemExecutor.`execute()`
execute the report item
`IContent`
IOnCreateEvent.`getContent()`
`IContent`
IOnRenderEvent.`getContent()`
`IContent`
IReportItemExecutor.`getContent()`
get the content
`IContent`
IReportItemGenerationInfo.`getExtendedItemContent()`
`IContent`
IReportItemPresentationInfo.`getExtendedItemContent()`
Methods in org.eclipse.birt.report.engine.extension with parameters of type IContent
Modifier and Type
Method
Description
`void`
IReportItemGeneration.`setExtendedItemContent(IContent content)`
Deprecated.
implement #init(IReportItemGenerationInfo) instead
`void`
IReportItemPresentation.`setExtendedItemContent(IContent content)`
Deprecated.
implement #init(IReportItemPresentationInfo) instead.

## Uses of IContent in org.eclipse.birt.report.engine.layout.content

Fields in org.eclipse.birt.report.engine.layout.content declared as IContent
Modifier and Type
Field
Description
`protected IContent`
ItemExecutorWrapper.`content`
Methods in org.eclipse.birt.report.engine.layout.content that return IContent
Modifier and Type
Method
Description
`IContent`
ItemExecutorWrapper.`execute()`
`IContent`
IContentWrapper.`getContent()`
Constructors in org.eclipse.birt.report.engine.layout.content with parameters of type IContent
Modifier
Constructor
Description
``
`ItemExecutorWrapper(IReportItemExecutor executor, IContent content)`

## Uses of IContent in org.eclipse.birt.report.engine.layout.pdf.emitter

Constructors in org.eclipse.birt.report.engine.layout.pdf.emitter with parameters of type IContent
Modifier
Constructor
Description
``
`ImageLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)`
Constructor
``
`InlineBlockLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)`
``
`InlineContainerLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)`
``
`InlineStackingLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parent, IContent content)`
``
`InlineTextLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)`